Author Topic: [UFO MEGAMOD] XCR: X-COM Classic Remastered  (Read 2095 times)

Offline TheDeparted

  • Sergeant
  • **
  • Posts: 32
    • View Profile
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #30 on: July 11, 2019, 08:47:53 pm »
I've just updated the master version with the fix, download it here: https://github.com/Coincident/XCOMClassicRemastered/archive/master.zip

The game no longer crashes on startup and launches correctly with the latest nightly build of OpenXcom.

Please try it with your save-games and let me know if everything is ok; so I can tag this with version 1.1 and update the download in the mod portal.

I still get the crash at startup. something with the floater commander.

Offline Coincident

  • Captain
  • ***
  • Posts: 58
    • View Profile
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #31 on: July 12, 2019, 11:51:34 am »
Too bad it doesn't use OXCE as a base, I stopped using Nightlyes loooong ago.
I didn't prepare this mod for OXCE because I didn't need any of it's advanced features. But if OXCE is backward compatible with the vanilla rulesets, then it should work without problems.

Did you try it with OXCE? Did it crash or give you some error message? If it's an easy fix I can work on it and also support OXCE with this mod.

But otherwise I'm not willing to invest a large amount of time doing changes (or branches) that are specific to OXCE. Just download a nighly to a different folder and use it play this mod. For everything else you have OXCE.

I still get the crash at startup. something with the floater commander.
That should be a different problem from last time, I think.
There must have been a new update in the nightlies, for which something in this mod is incompatible. I will look into this as soon as I get some time (probably this weekend).
Until then, a temporary solution is: downloading a slighly older nightly (from 1-2 weeks ago) and it should work.
« Last Edit: July 12, 2019, 11:53:53 am by Coincident »

Offline Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 4978
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #32 on: July 12, 2019, 12:07:24 pm »
But if OXCE is backward compatible with the vanilla rulesets, then it should work without problems.

OXCE is generally backwards-compatible with vanilla rulesets... IF used correctly.

Vanilla OpenXcom tolerates a lot more issues with the ruleset than OXCE... and either ignores what's wrong or simply works incorrectly/unpredictably; or crashes at runtime... in OXCE many such cases are checked and the game won't start until they are fixed.

Edit: in your case, I see two ruleset errors (after fixing those, the game starts properly):

1. research of floater commander references non-existing unlock topic

Code: [Select]
  - name: STR_FLOATER_COMMANDER
    cost: 160
    points: 36
    unlocks:
      - STR_CYDONIA_DEP                 # this doesn't exist, did you mean STR_CYDONIA_OR_BUST_DEP ?
      - STR_ALIEN_ORIGINS
      - STR_THE_MARTIAN_SOLUTION_DEP
      - STR_CYDONIA_OR_BUST_DEP
      - STR_LIVE_FLOATER_OR_CELATID

2. two weapons reference non-existing research dependency STR_THIS_WEAPON_CANNOT_BE_USED_BY_XCOM

Code: [Select]
  - type: STR_BLASTER_LAUNCHER
    requires:
      - STR_THIS_WEAPON_CANNOT_BE_USED_BY_XCOM
    size: 0.8
    costSell: 150000
  - type: STR_BLASTER_BOMB
    requires:
      - STR_THIS_WEAPON_CANNOT_BE_USED_BY_XCOM
    size: 0.5
    costSell: 31500
    recoveryPoints: 2

You can fix it in many ways, currently easiest is by defining it and making it depend on an (unobtainable) item

Code: [Select]
research:
  - name: STR_THIS_WEAPON_CANNOT_BE_USED_BY_XCOM
    needItem: true
    cost: 0
« Last Edit: July 12, 2019, 12:39:36 pm by Meridian »

Offline Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 4978
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #33 on: July 12, 2019, 12:35:07 pm »
Also a few images don't use correct palettes/format (in this case transparency index), currently it's not enforced, but eventually (in near-ish future) this will also be a hard requirement.

From the log file:

Code: [Select]
[WARN] Image Resources/FirestormRestyle/firestorm_base.gif (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/FC/FC.gif (from SDL) have set incorrect transparent color index 127 instead of 0
[WARN] Image Resources/XCL/XCL-FB.gif (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/XCL/XCL-NB.gif (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/XCL/XCL-TB.gif (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/FirestormRestyle/firestorm_minimised.gif (from SDL) have set incorrect transparent color index 127 instead of 0
[WARN] Image Resources/FirestormRestyle/firestorm_dogfight.gif (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/Geoscape/TEXTURE15.GIF (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/Geoscape/TEXTURE36.GIF (from SDL) have set incorrect transparent color index 255 instead of 0
[WARN] Image Resources/Geoscape/TEXTURE57.GIF (from SDL) have set incorrect transparent color index 255 instead of 0

Offline Coincident

  • Captain
  • ***
  • Posts: 58
    • View Profile
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #34 on: July 12, 2019, 04:47:51 pm »
Ah, I see. I was not aware of those details about OXCE.
Thank you for the help Meridian.  :)

Those issues don't look like much trouble. I'm confident that I can take a look and fix them during the weekend.
So, probably, there's going to be an OXCE-compatible version soon.

Offline Coincident

  • Captain
  • ***
  • Posts: 58
    • View Profile
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #35 on: July 14, 2019, 10:11:46 pm »
I just fixed the missing research problems that caused the mod to crash on startup when using OXCE.
I updated the master version of the mod - it's not published yet because I still want to take a look at the transparency warnings.

But anyway it should work now. Download it from here: https://github.com/Coincident/XCOMClassicRemastered/archive/master.zip

Offline Coincident

  • Captain
  • ***
  • Posts: 58
    • View Profile
Re: [UFO MEGAMOD] XCR: X-COM Classic Remastered
« Reply #36 on: July 21, 2019, 06:20:06 pm »
Version 1.2 released in the mod portal with the research fixes - OXCE is now supported.

I did not fix the transparency warnings because I have personal stuff going on with my life and I dont have a lot of free time ATM.
I will fix them at a later point in time, once they become a more pressing issue.